CreateMultipartUpload
Initiates a multipart upload and returns an upload ID. This upload ID is used to associate all the parts in the specific multipart upload.
Request Syntax
POST /bucket/{Key+}?uploads HTTP/1.1
Host: msdps3.server:8443
Request Parameters
Bucket
Name of the bucket.
Required: Yes
Type: String
Key
The name of the object for which multipart upload was initiated.
Required: Yes
Type: String
x-amz-object-lock-mode (Flex WORM only)
Specifies the Object Lock mode that you want to apply to the uploaded object.
Valid Values: GOVERNANCE, COMPLIANCE
x-amz-object-lock-retain-until-date (Flex WORM only)
Specifies the date and time when you want the Object Lock to expire.
Note:
If this option is not specified, the retention value will be calculated using the bucket default object lock configuration.
object_lock_retain_until_date = current_system_timestamp + bucket_default_object_lock_retention
Response Syntax
HTTP/1.1 200
x-amz-version-id: VersionId
<?xml version="1.0" encoding="UTF-8"?>
<InitiateMultipartUploadResult>
<Bucket>string</Bucket>
<Key>string</Key>
<UploadId>string</UploadId>
</InitiateMultipartUploadResult>
Response Body
InitiateMultipartUploadResult
Root level tag for the InitiateMultipartUploadResult parameters.
Required: Yes
Bucket
Name of the bucket.
Key
The name of the object.
UploadId
ID for the initiated multipart upload.
Possible Error Response
Success
HTTP status code 200.
InvalidArgument
Invalid Argument.
HTTP status code 400.
AccessDenied
Request was rejected because user authentication failed.
HTTP status code 403.
NoSuchBucket
The specified bucket does not exist.
HTTP status code 404.
InternalError
Request failed because of an internal server error.
HTTP status code 500.
InvalidRequest
The error may occur for some reasons. For details, please refer the error messages.
HTTP status code 400.